petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMInitializePackage

This function initializes everything in the DM package. It is called from PetscDLLibraryRegister_petscdm() when using dynamic libraries, and on the first call to AOCreate() or DMDACreate() when using shared or static libraries.

### Synopsis

    PetscErrorCode  DMInitializePackage(void)

### See Also

PetscInitialize()

### Level

developer

### Location

src/dm/interface/dlregisdmdm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages